<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="com.rhhz.journal.web.action.ArticleFundPrjBussinessController"%>
<%@ include file="../../include/global.jsp" %>
<%@ taglib prefix="tags" tagdir="/WEB-INF/tags" %>
<%
	pageContext.setAttribute("requestPath",ArticleFundPrjBussinessController.BASE_PATH);
%>

<form id="pagerForm" method="post" action="<%=path %>${requestPath}getFundPrjPage" onsubmit="return navTabSearch(this)">
	<input type="hidden" name="pageNum" value="${pagerFilter.pagePer}" />
	<input type="hidden" name="numPerPage"  value="${pagerFilter.max}"/>
	<input type="hidden" name="relPage"  value="${relPage}"/>
	<div class="pageHeader">
		<div class="searchBar">
			<table class="searchContent">
				<tr>
					<td>
						基金标题：
						<input type="text" class="clearValue" name="sourceCn" value="${fund.sourceCn }"/>
					</td>
					<td>
						基金编号：
						<input type="text" class="clearValue" name="awardId" value="${fund.awardId }"/>
					</td>
					<td>
						基金完整信息：
						<input type="text" class="clearValue" name="fundsInfoCn" value="${fund.fundsInfoCn}"/>
					</td>
				</tr>
			</table>
			<div class="subBar">
				<ul>
					<li>
						<div class="buttonActive">
							<div class="buttonContent">
								<button type="submit">
									检索
								</button>
							</div>
						</div>
					</li>
				</ul>
			</div>
		</div>
	</div>
</form>
<div class="pageContent">
	<div class="panelBar">
		<ul class="toolBar">
			<li>
				<a class="add" href="<%=path %>${requestPath }toFundPrjEdit?articleId=${article.id}&relPage=${relPage}" target="dialog" mask="true" rel="edit_fund" width="560" height="560"  title="添加基金">
					<span>添加</span>
				</a>
			</li>
			<li class="">
				<a class="merge" title="合并基金" selectMinCount="2" alertMsg="确实要合并这些记录么？" target="selectedTodo" dialogSelectType="dialog" rel="ids" mask="true" width="1400" height="560"  rel="edit_merge_fundprj" href="<%=path %>${requestPath }mergeFundPrj?relPage=${relPage}"><span>合并</span></a>
			</li>
			<li class="line"></li>
			<li>
				<a class="add" href="<%=path %>${requestPath }initAll?rel=${relPage}" target="ajaxTodo" title="确定要初始化全部基金数据吗?<br><br>会清除全部数据后。"><span>初始化全部机构数据</span></a>
			</li>
		</ul>
	</div>
	<table class="table" width="100%" layoutH="114">
		<thead>
			<tr>
				<th width="20" align="center">
					<input type="checkbox" group="ids" class="checkboxCtrl">
				</th>
				<th width="20" align="center">
					序号
				</th>
				<th align="center">
					基金标题
				</th>
				<th align="center">
					基金编号
				</th>
				<th align="center">
					基金完整信息
				</th>
				<th align="center" width="120">
					查看相关文章
				</th>
				<th width="150" align="center">
					操作
				</th>
			</tr>
		</thead>
		<tbody>
			<c:forEach items="${pagerFilter.objs}"  var ="item" varStatus="r">
				<tr target="ids_keyword" rel="${item.id }">
					<td>
						<input name="ids" value="${item.id }" type="checkbox">
					</td>
					<td>
						${r.index + 1}
					</td>
					<td style="text-align: left;">
						<p style="padding: 5px;">${item.sourceCn }</p>
						<p style="padding: 5px;">${item.sourceEn }</p>
					</td>
					<td>
						${item.awardId }
					</td>
					<td style="text-align: left;">
						<p style="padding: 5px;">${item.fundsInfoCn }</p>
						<p style="padding: 5px;">${item.fundsInfoEn }</p>
					</td>
					<c:set var="searchVal" value=""></c:set>
					<c:set var="searchType" value=""></c:set>
					<c:choose>
						<c:when test="${not empty item.awardId }">
							<c:set var="searchVal" value="${rhhz:stringToBase64(item.awardId)}"></c:set>
							<c:set var="searchType" value="awardId"></c:set>
						</c:when>
						<c:when test="${not empty item.sourceCn }">
							<c:set var="searchVal" value="${rhhz:stringToBase64(item.sourceCn)}"></c:set>
							<c:set var="searchType" value="sourceCn"></c:set>
						</c:when>
						<c:otherwise>
							<c:set var="searchVal" value="${rhhz:stringToBase64(item.fundsInfoCn)}"></c:set>
							<c:set var="searchType" value="fundsInfoCn"></c:set>
						</c:otherwise>
					</c:choose>
					<td class="search_fund" ncId="${item.id }" val="${searchVal}" searchType="${searchType }" baseConver="1">
						<c:choose>
							<c:when test="${not empty item.awardId }">
								<a id="search_fund_id_${item.id }" href="<%=path %>${requestPath }getArticleFundPrjPage?awardId=${searchVal}&baseConver=1" target="navTab" title="${item.awardId} 相关文章" rel="w_article_fundprj_list">查看相关文章</a>	
							</c:when>
							<c:when test="${not empty item.sourceCn }">
								<a id="search_fund_id_${item.id }" href="<%=path %>${requestPath }getArticleFundPrjPage?sourceCn=${searchVal}&baseConver=1" target="navTab" title="${item.sourceCn} 相关文章" rel="w_article_fundprj_list">查看相关文章</a>
							</c:when>
							<c:otherwise>
								<a id="search_fund_id_${item.id }" href="<%=path %>${requestPath }getArticleFundPrjPage?fundsInfoCn=${searchVal}&baseConver=1" target="navTab" title="${item.fundsInfoCn} 相关文章" rel="w_article_fundprj_list">查看相关文章</a>
							</c:otherwise>
						</c:choose>
					</td>
					<td>
						<a href="<%=path %>${requestPath }toFundPrjEdit?id=${item.id}&rel=${relPage}" target="dialog" title="编辑基金" mask="true" width="560" height="560"  rel="edit_fundprj">编辑</a>
						&nbsp;&nbsp;
						<a href="<%=path %>${requestPath }deleteFundPrj?ids=${item.id}&rel=${relPage}" target="ajaxTodo" title="确定要删除吗?">删除</a>
					</td>
				</tr>
			</c:forEach>
		</tbody>
	</table>
	<!-- 分页 -->
	<tags:pagerBar></tags:pagerBar>
</div>
<script type="text/javascript">
	$(document).ready(function() {
		$.each($(".search_fund"), function(ind,val){
			var id = $(val).attr("ncId");
			var searchVal = $(val).attr("val");
			var baseConver = $(val).attr("baseConver");
			var searchType = $(val).attr("searchType");
			$.ajax({
			    url: "<%=path %>${requestPath}/getArticleFundInfoCount",  
			    type: "GET",  // 请求类型，可根据实际情况调整
			    data: {
		    	  fundId: id,  // 将 id 作为请求参数传递
			      searchVal: searchVal,  // 将 searchVal 作为请求参数传递
			      searchType:searchType,
			      baseConver:baseConver
			    },
			    success: function(response) {
			      // 处理查询成功的响应
			      //console.log("查询成功：", response);
			      
			      var count = response[id];
			      //console.log(count);
			      if(count > 0){
			    	  var a = $("#search_fund_id_"+id);
			    	  var originalText = a.text();
			    	  console.log(originalText);
			    	  a.text(originalText + "("+count+")");
			      }
			    },
			    error: function(error) {
			      // 处理查询失败的情况
			      console.log("查询失败：", error);
			    }
		  	});
		})
	});
</script>